Download it now!
Bug 134243 - Hang launching mailmerge wizard with a specific file
Summary: Hang launching mailmerge wizard with a specific file
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:6.4.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-06-22 19:43 UTC by Xisco Faulí
Modified: 2020-06-30 12:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-06-22 19:43:49 UTC
Steps to reproduce:
1. Open attachment 160778 [details] from bug 132994
2. Launch Mailmerge wizard

-> LibreOffice hangs

Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: 70479e1f4cb3c120f46239a648e65f035af2922d
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-06-22 19:45:00 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=693d9ff29e7838bafcad5faa7a4e7355807c54cb

author	Caolán McNamara <caolanm@redhat.com>	2019-08-22 09:15:51 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-08-23 16:28:12 +0200
commit	693d9ff29e7838bafcad5faa7a4e7355807c54cb (patch)
tree	dc343d9002fb6dd0abda2875fbff233f6111eda9
parent	61f75f05adb171064d9ba17b4684069de36fa11a (diff)
weld SwMailMergeWizard

bisected with: bibisect-linux64-6.4

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2020-06-23 18:42:39 UTC
With http://bugs.documentfoundation.org/attachment.cgi?id=160779 before that change it will also hang if you step to the "adjust layout" stage. In either case there's a loop that doesn't end in SwOneExampleFrame::TimeoutHdl
Comment 3 Caolán McNamara 2020-06-23 19:03:11 UTC
The loop is in converting sample strings to localized versions for the "Table Of Contents" preview which the preview widget is also used for. In this case its not the ToC so if we didn't bother doing that with the preview the problem wouldn't arise in the first place
Comment 4 Commit Notification 2020-06-23 20:25:58 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/851daf6ab20c046509725cf26ff72473fb61a761

tdf#134243 only do the toc-terms localization when showing toc preview

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-06-23 20:27:19 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/77e4943cc6cf206a45901e5c87fabf0f783c8262

tdf#134243 only do the toc-terms localization when showing toc preview

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2020-06-23 20:28:04 UTC
sidestepped the issue for master and 7-1. 6-4 backport in gerrit
Comment 7 Xisco Faulí 2020-06-24 08:46:43 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: cb72269f93a20dd175dae3dcf30740c9931e7684
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!!

BTW, The attachment mentioned in the summary is wrong, the correct one is attachment 160779 [details]
Comment 8 Commit Notification 2020-06-24 10:49:45 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/ba7c6f5a8ed01320bf15796df2ab196b1b485b48

tdf#134243 only do the toc-terms localization when showing toc preview

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-06-24 19:06:33 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-5":

https://git.libreoffice.org/core/commit/398e97bf95b27ea21885cf55111ef0b0742b1be3

tdf#134243 only do the toc-terms localization when showing toc preview

It will be available in 6.4.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-06-30 12:22:29 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9b0a0bcc7ef3ae7a127e7d43b001bdb578184949

tdf#134243: sw: Add UItest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.